org.eclipse.mat.internal.collectionextract

## Class TreeSetCollectionExtractor

- java.lang.Object
- - org.eclipse.mat.internal.collectionextract.HashSetCollectionExtractor
  - - org.eclipse.mat.internal.collectionextract.TreeSetCollectionExtractor

All Implemented Interfaces:
  ICollectionExtractor, IMapExtractor

Direct Known Subclasses:
  TreeSetArrayCollectionExtractor

    public class TreeSetCollectionExtractor
    extends HashSetCollectionExtractor

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.mat.inspections.collectionextract.IMapExtractor

`IMapExtractor.EntryObject`

### Constructor Summary

Constructors
Constructor and Description
`TreeSetCollectionExtractor(String sizeField, String keyField, String valueField)`

### Method Summary

### Methods inherited from class org.eclipse.mat.internal.collectionextract.HashSetCollectionExtractor

`extractEntries, extractEntryIds, extractMapEntries, getCapacity, getCollisionRatio, getFillRatio, getNumberOfNotNullElements, getSize, hasCapacity, hasCollisionRatio, hasExtractableArray, hasExtractableContents, hasFillRatio, hasSize`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeSetCollectionExtractor

    public TreeSetCollectionExtractor(String sizeField,
                                      String keyField,
                                      String valueField)